libhttp-lrdd-perl - link-based resource descriptor discovery

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libhttp-lrdd-perl
Package version: 0.106
Package release: 2
Package architecture: all
Package type: deb
Installed size: 80 B
Download size: 23.08 KB
Official Mirror:
HTTP::LRDD is a Perl library to handle Link-based Resource Descriptor Discovery (LRRD - pronounced "lard"). Note: the LRDD specification has ceased to be, with some parts being merged into the host-meta Internet Draft. This CPAN module will go in its own direction, bundling up best-practice techniques for discovering links and descriptors for a given URI.



    Source package: libhttp-lrdd-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libhttp-lrdd-perl deb package:
      # sudo apt-get install libhttp-lrdd-perl


    • /usr/share/doc/libhttp-lrdd-perl/README.gz
    • /usr/share/doc/libhttp-lrdd-perl/TODO
    • /usr/share/doc/libhttp-lrdd-perl/buildinfo_all.gz
    • /usr/share/doc/libhttp-lrdd-perl/changelog.Debian.gz
    • /usr/share/doc/libhttp-lrdd-perl/changelog.gz
    • /usr/share/doc/libhttp-lrdd-perl/copyright
    • /usr/share/doc/libhttp-lrdd-perl/examples/
    • /usr/share/doc/libhttp-lrdd-perl/examples/
    • /usr/share/man/man3/HTTP::LRDD.3pm.gz
    • /usr/share/perl5/HTTP/


    2013-06-29 - Jonas Smedegaard <> libhttp-lrdd-perl (0.106-2) unstable; urgency=low * Add README.source emphasizing file as *not* a show-stopper for contributions, referring to wiki page for details. * Declare examples in rules file (not as debhelper hint file). * Drop patch 1001: Build problem turned out to be (and fixed by now) in CDBS. * Update Homepage to use, to match upstream hint. * Bump packaging license to GPL-3+, and extend copyrigt coverage for myself to include current year. * Relax to (build-)depend unversioned on libhtml-html5-parser-perl, libhtml-html5-sanity-perl and libhttp-link-parser-perl: Needed version satisfied in all Debian suites providing it at all. * (Build-)depend on librole-commons-perl, and only as fallback on libobject-authority-perl.

    2013-03-03 - Jonas Smedegaard <> libhttp-lrdd-perl (0.106-1) unstable; urgency=low [ upstream ] * New upstream release. + General update/modernisation. + Replace RDF::TrineShortcuts with RDF::TrineX::Function. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git:// [ Xavier Guimard ] * Update package relations: + Relax to build-depend unversioned on cdbs, devscripts and debhelper: Needed versions satisfied in stable, and oldstable no longer supported. + (Build-)depend on librdf-trinex-functions-perl (not librdf-trineshortcuts-perl). + (Build-)depend on librdf-query-perl. * Bump Standards-Version to 3.9.4. * Bump debhelper compatibility to 8. * Update debian/copyright using COPYRIGHT file. * Add patch 1001 to avoid automatic install during build. * Remove Makefile.old during cleanup. * Add myself as uploader and copyright holder. [ Jonas Smedegaard ] * Update copyright file: + Fix use pseudo-license and pseudo-comment sections to obey silly restrictions of copyright format 1.0. + Fix use upstream issue tracker as upstream contact. + Fix better cover convenience copies of other Perl modules. * Fix resolve binary dependencies in rules file. * Tidy copyright statements for Debian packaging.

    2011-12-19 - Florian Schlichting <> libhttp-lrdd-perl (0.105-1) unstable; urgency=low [ Florian Schlichting ] * Imported Upstream version 0.105 (Closes: #652229) * Bumped copyright years, adjusted DEP-5 headers and added/deleted stanzas for new and removed files under inc/. * Added myself to uploaders and copyright. * Ship provided examples skipts. * Added (build-)dependency on libobject-authority-perl, removed dependendy on liberror-perl, make lib(html|http) dependencies versioned. * Bumped Standards-Version to 3.9.2 (no change). [ Jonas Smedegaard ] * Update copyright file: Bump DEP-5 format to draft 174. * Fix use separate sections for Artistic and GPL-1+. * Improve references for convenience copy of Module::Install. Add references for convenience copy of Test::Signature. [ gregor herrmann ] * Remove debian/source/local-options; abort-on-upstream-changes and unapply-patches are default in dpkg-source since 1.16.1.

    2011-03-06 - Jonas Smedegaard <> libhttp-lrdd-perl (0.103-1) unstable; urgency=low * Initial packaging release. Closes: bug#616617.